<?php
/**
*** @name login.php
**/

$path = $_SERVER['DOCUMENT_ROOT'];
include_once $path . 'common.php';

$smarty->assign('section', 'login');

try
{
    if($action == 'logout')
    {
		$user->disconnect();

		header('Location: /login.php');
		exit(0);
    }
	elseif($action == 'login')
	{
		$user->connect($_POST['username'], $_POST['password']);
		$user->generateSessionID();
		
		header('Location: /index.php');
		exit(0);
	}
}
catch(Exception $e)
{
	$errors[] = $e->getMessage();
}

$smarty->assign('errors', $errors);
$smarty->assign('action', $action);

$smarty->display(TPL_PATH . 'login.html');
?>
